## apt-listchanges 4.8

=== Makefile ===
include common.mk
all::

SHELL=/bin/bash

# install config
install:: all
	install -d $(DESTDIR)/etc/apt/apt.conf.d
	install -m 644 debian/apt.conf $(DESTDIR)/etc/apt/apt.conf.d/20listchanges

# Make sure we don't have snapshots enabled outside experimental
test::
	(head -1 debian/changelog | grep experimental) || \
	python3 -c 'from apt_listchanges.debconf_helper import snapshots_wanted; assert not snapshots_wanted, "Snapshots should only be enabled in debconf_helper.py for experimental builds"'

# Test for syntax errors
test::
	python3 -mcompileall setup.py tests/*.py apt_listchanges/*.py

clean::
	dh clean --buildsystem=pybuild

dh_clean:: ; -rm -rf *.egg-info debian/.debhelper debian/*.debhelper
dh_clean:: ; -rm -rf debian/apt-listchanges debian/apt-listchanges.substvars
dh_clean:: ; -rm -rf debian/*stamp debian/files .pybuild
dy_clean::
	$(MAKE) -C po clean
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C doc clean
endif


all install update-po::
	$(MAKE) -C po $@
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C doc $@
endif

update-po:: ; debconf-updatepo

lint::
# | cat because otherwise flake8 and pytest spit out terminal escape sequences
	set -o pipefail; flake8 | cat

lint::
	set -o pipefail; python3 -m pylint */*.py | cat

test::
	python3 -m pytest

=== doc/Makefile ===
# vim:set ts=2:noet:
include ../common.mk
bdir=generated

.PHONY: all install clean

all: $(bdir)/manpages.stamp

install:: $(bdir)/manpages.stamp
	for man in $(bdir)/apt-listchanges*.1; do \
		test -s "$$f"; \
		lang=`echo $$man | sed -e 's/^.*apt-listchanges\.*// ; s/\.*1//'`; \
		install -d $(DESTDIR)/usr/share/man/$$lang/man1;                \
		install -m 644 $$man $(DESTDIR)/usr/share/man/$$lang/man1/apt-listchanges.1; \
	done

install:: $(bdir)/what_to_display.html
	mkdir -p $(DESTDIR)/usr/share/doc/apt-listchanges
	install -m 444 $< $(DESTDIR)/usr/share/doc/apt-listchanges/

$(bdir)/what_to_display.html: design_notes/what_to_display.md
	rm -f $@.tmp
	markdown $< > $@.tmp
	mv $@.tmp $@

clean:
	rm -rf $(bdir) mantmp

PO4A := PERL_HASH_SEED=0 PERL_PERTURB_KEYS=0 po4a $(XGETTEXT_COMMON_OPTIONS) --previous

# params: input output

# Note that the output file name passed into this function needs to match the
# output file name determined automatically by xsltproc.
#
# We are creating the output file in a temporary directory and then
# transforming it into its final location with a sed command because there is
# a bug in the DocBook XSL stylesheets which cause the apostrophes in section
# headers to be turned into invalid macros. First, the stylesheet converts the
# apostrophe into \*(Aq, which is a valid macro, but then it upper-cases the
# entire header, turning the macro into \*(AQ, which is invalid. See
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1082554.
define xml2man
	set -- xmllint --valid --noout --noent --nonet "$(1)"; \
	echo "$$@"; \
	"$$@"; \
	lang="`echo "$(1)" | sed -e 's/^.*apt-listchanges//; s/\.xml$$// ;s/^\.//'`"; \
	[ "$$lang" ] && langparam="--stringparam l10n.gentext.default.language $$lang" || langparam=""; \
	set -- xsltproc --nonet --xinclude \
						$$langparam \
						--stringparam man.authors.section.enabled 0 \
						--stringparam man.output.lang.in.name.enabled 1 \
						--stringparam man.charmap.enabled 0 \
						--stringparam man.hyphenate 0 \
						--stringparam man.justify 0 \
						--output "mantmp/" \
					/usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl \
					"$(1)"; \
	echo "$$@"; \
	"$$@"; \
	sed -e 's/\\\*(AQ/\\*(Aq/g' < "mantmp/$(2)" > "$(bdir)/$(2).tmp"; \
	mv "$(bdir)/$(2).tmp" "$(bdir)/$(2)"; \
	rm -f "mantmp/$(2)"; \
	echo
endef


update-po:
	$(PO4A) --force -v po4a.cfg

$(bdir)/po4a.stamp:  apt-listchanges.xml po/*.po po/*.add po4a.cfg
	$(PO4A)  -v po4a.cfg
	touch "$@"

$(bdir)/manpages.stamp: $(bdir)/po4a.stamp
	mkdir -p mantmp
	@ set -e; \
	for f in apt-listchanges.xml $(bdir)/apt-listchanges.*.xml; do \
		test -f "$$f" || continue; \
		g="`basename $$f .xml`.1"; \
		$(call xml2man,$$f,$$g) ;  \
	done
	rm -rf mantmp
	touch "$@"

=== po/Makefile ===
# Copyright (C) 1995-1997, 2000, 2001 Ulrich Drepper <drepper@gnu.ai.mit.edu>
# Copyright (C) 2024 THE PACKAGE'S COPYRIGHT HOLDER

include ../common.mk
prefix = /usr
exec_prefix = ${prefix}
datadir = $(prefix)/share
localedir = $(datadir)/locale
gettextsrcdir = $(prefix)/share/gettext/po
subdir = po
srcdir = .

INSTALL = /usr/bin/install -c

MSGFMT = /usr/bin/msgfmt --statistics
XGETTEXT = /usr/bin/xgettext
MSGMERGE = msgmerge
MSGFMT = msgfmt

POFILES =  $(wildcard *.po)
MOFILES =  $(patsubst %.po,%.mo,$(POFILES))

SRCFILES = $(wildcard ../apt_listchanges/*.py) \
	../apt_listchanges/apt-listchanges.ui

all: $(PACKAGE).pot $(MOFILES)

.SUFFIXES: .po .mo

.po.mo:
	$(MSGFMT) -o $@ $<

$(PACKAGE).pot: $(SRCFILES)
	if test -f $(XGETTEXT); then \
	    $(XGETTEXT) $(XGETTEXT_COMMON_OPTIONS) \
	                -k_:1,2c $(SRCFILES) -o$@; \
	else \
	    echo "Warning: $@ is not updated"; \
	    touch $@; \
	fi

install: all
	for file in $(MOFILES); do \
	    lang=`echo $$file | sed 's/\.mo//'`; \
	    install -d $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/; \
	    install -m 0644 $$file $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(PACKAGE).mo; \
        done

clean:
	rm -f core core.* *.pox $(PACKAGE).po *.new.po
	rm -fr *.o *.mo

distclean: clean
	rm -f $(PACKAGE).pot

update-po: Makefile
	rm -f $(PACKAGE).pot
	$(MAKE) $(PACKAGE).pot
	if test "$(PACKAGE)" = "gettext"; then PATH=`pwd`/../src:$$PATH; fi; \
        cd $(srcdir); \
        catalogs='$(MOFILES)'; \
        for cat in $$catalogs; do \
            cat=`basename $$cat`; \
            lang=`echo $$cat | sed 's/\.mo$$//'`; \
            echo "$$lang:"; \
            if $(MSGMERGE) --previous  $$lang.po $(PACKAGE).pot -o $$lang.new.po; then \
                mv -f $$lang.new.po $$lang.po; \
                $(MSGFMT) --statistics $$lang.po; rm -f messages.mo; \
            else \
                echo "msgmerge for $$cat failed!"; \
                rm -f $$lang.new.po; \
            fi; \
        done

=== debian/changelog ===
apt-listchanges (4.8) unstable; urgency=medium

  * When a package has both regular changelog entries and binnmu changelog
    entries, we need to display both of them, not just the binnmu entries.
    (Closes: #1083066)
  * When we are trying to read changelog entries from an installed package
    and we find binnmu entries but no regular changelog entries, treat
    that as a successful read. Previously, this would be interpreted as
    there being no locally installed changelog files so the program would
    attempt to fetch changelog entries over the network unnecessarily.
  * German program translation update courtesy of Helge Kreutzmann.
    (Closes: #1083245)
  * Galician debconf translation update courtesy of Pablo.

 -- Jonathan Kamens <jik@kamens.us>  Sun, 06 Oct 2024 14:56:36 -0400

=== debian/control ===
Source: apt-listchanges
Section: utils
Priority: standard
Maintainer: Jonathan Kamens <jik@kamens.us>
Standards-Version: 4.7.0
Homepage: https://salsa.debian.org/debian/apt-listchanges/
Vcs-Git: https://salsa.debian.org/debian/apt-listchanges.git
Vcs-Browser: https://salsa.debian.org/debian/apt-listchanges/
Build-Depends: debconf,
               debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-debconf
Build-Depends-Indep: docbook-xml,
                     docbook-xsl,
                     gettext,
                     libxml2-utils,
                     markdown,
                     po-debconf,
                     po4a,
                     python3,
                     python3-apt,
                     python3-pyfakefs,
                     python3-pytest,
                     python3-pytest-cov,
                     python3-pytest-mock,
                     python3-setuptools,
                     python3-yaml,
                     xsltproc
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: apt-listchanges
Architecture: all
Multi-Arch: foreign
Depends: apt,
         python3-apt,
         python3-debconf,
         sensible-utils,
         ucf,
         ${misc:Depends},
         ${python3:Depends}
Suggests: default-mta | mail-transport-agent,
          python3-gi,
          www-browser,
          x-terminal-emulator
Description: package change history notification tool
 The tool apt-listchanges can compare a new version of a
 package with the one currently installed and show what has been
 changed, by extracting the relevant entries from the Debian changelog
 and NEWS files.
 .
 It can be run on several .deb archives at a time to get a list of all
 changes that would be caused by installing or upgrading a group of
 packages. When configured as an APT plugin it will do this
 automatically during upgrades.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

# We need to embed debconf_helper.py in the config script because the config
# script can be run before the package is unpacked, so it doesn't have access
# to the installed copy of debconf_helper.py.
debian/%: debian/%.in apt_listchanges/debconf_helper.py debian/rules
	sed -e '/#DEBCONF_HELPER_PY#/ { ' -e 'r apt_listchanges/debconf_helper.py' -ed -e' }' < $< > $@.tmp
	chmod 555 $@.tmp
	mv $@.tmp $@

override_dh_auto_test::
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) test
endif

execute_before_dh_auto_build:: debian/config
	$(MAKE) all

execute_after_dh_auto_install::
	$(MAKE) install DESTDIR=$(shell pwd)/debian/apt-listchanges

execute_after_dh_clean::
	rm -f debian/config
	$(MAKE) dh_clean

## apt-listchanges 4.8build1

=== debian/changelog ===
apt-listchanges (4.8build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 06 Dec 2025 10:36:18 +0100

## apt-listchanges 4.8+nmu1

=== debian/changelog ===
apt-listchanges (4.8+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark pytest to be test-only. (Closes: #1126993)

  [ Carles Pina i Estany ]
  * Update Catalan translation.

  [ Jonathan Kamens ]
  * Dutch program and man page translation updates courtesy of Frans
    Spiesschaert. (Closes: #1087345, #1087460)

 -- Bastian Germann <bage@debian.org>  Wed, 04 Feb 2026 21:15:11 +0100

=== debian/control ===
--- 
+++ 
@@ -22,9 +22,9 @@
                      python3,
                      python3-apt,
                      python3-pyfakefs,
-                     python3-pytest,
-                     python3-pytest-cov,
-                     python3-pytest-mock,
+                     python3-pytest <!nocheck>,
+                     python3-pytest-cov <!nocheck>,
+                     python3-pytest-mock <!nocheck>,
                      python3-setuptools,
                      python3-yaml,
                      xsltproc
